package models

import (
	"time"

	"go-admin/common/models"

	"github.com/shopspring/decimal"
)

type LineUserSetting struct {
	models.Model

	UserId               int             `json:"userId" gorm:"type:bigint;comment:用户ID"`
	MinOrderAmount       decimal.Decimal `json:"minOrderAmount" gorm:"type:decimal(32,8);comment:单笔最小金额"`
	SpotUsdtFreeAmount   decimal.Decimal `json:"spotUsdtFreeAmount" gorm:"type:decimal(32,8);comment:现货USDT可用余额"`
	FutureUsdtFreeAmount decimal.Decimal `json:"futureUsdtFreeAmount" gorm:"type:decimal(32,8);comment:合约USDT可用余额"`
	AssetUpdateTime      *time.Time      `json:"assetUpdateTime" gorm:"type:datetime;comment:资产更新时间"`
	models.ModelTime
	models.ControlBy
}

func (LineUserSetting) TableName() string {
	return "line_user_setting"
}

func (e *LineUserSetting) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineUserSetting) GetId() interface{} {
	return e.Id
}
